import { MidwayConfig } from '@midwayjs/core';
const ip = '127.0.0.1';
const project = 'follow23';
export default {
  // use for cookie sign key, should change to your own and keep security
  keys: '1697684406848_4978',
  koa: {
    port: 8890,
    globalPrefix: '/visit/api',
  },
  jwt: {
    secret: 'Ziyouyanfa!@#',
    expiresIn: '2d',
  },
  mongoose: {
    dataSource: {
      default: {
        uri: `mongodb://${ip}:27017/${project}`,
        options: {
          user: 'admin',
          pass: 'admin',
          authSource: 'admin',
          useNewUrlParser: true,
        },
        entities: ['./entity'],
      },
    },
  },
  redis: {
    client: {
      port: 6379, // Redis port
      host: ip, // Redis host
      password: '123456',
      db: 4,
    },
  },
} as MidwayConfig;
