import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
import File from 'free-midway-component/dist/entity/fileType';
@modelOptions({
  schemaOptions: { collection: 'adv' },
})
export class Adv extends BaseModel {
  @prop({ required: false, index: false, zh: '标题' })
  title: string;
  @prop({ required: false, index: false, zh: '图片', remark: 'File类型' })
  image: File;
  @prop({ required: false, index: false, zh: '跳转位置' })
  url: string;
  @prop({ required: false, index: true, zh: '是否使用', default: '0' })
  is_use: string;
}
