import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'group' },
})
export class Group extends BaseModel {
  @prop({ required: false, index: true, zh: '管理医生', ref: 'Doctor' })
  doctor: string;
  @prop({ required: false, index: true, zh: '群组病人', remark: '病人id列表' })
  patients: Array<any>;
  @prop({ required: false, index: false, zh: '群组名称' })
  name: string;
  @prop({ required: false, index: false, zh: '群简介' })
  content: string;
}
