import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Article } from '../entity/article.entity';
type modelType = ReturnModelType<typeof Article>;
@Provide()
export class ArticleService extends BaseService<modelType> {
  @InjectEntityModel(Article)
  model: modelType;
}
