import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Doctor } from '../entity/doctor.entity';
type modelType = ReturnModelType<typeof Doctor>;
@Provide()
export class DoctorService extends BaseService<modelType> {
  @InjectEntityModel(Doctor)
  model: modelType;
}
