import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Nurse } from '../entity/nurse.entity';
type modelType = ReturnModelType<typeof Nurse>;
@Provide()
export class NurseService extends BaseService<modelType> {
  @InjectEntityModel(Nurse)
  model: modelType;
}
