import { Provide } from '@midwayjs/core';
import { LoginType } from '../interface/login.interface';
import { upperFirst } from 'lodash';
import { GetModel } from 'free-midway-component';

@Provide()
export class UtilService {
  async checkAccountIsSame(account: string, type: LoginType) {
    const model = GetModel(upperFirst(type));
    const count = await model.count({ account });
    return count > 0;
  }
}
