import { Body, Controller, Get, Inject, Post } from '@midwayjs/core';
import { UtilService } from '../service/util.service';
import { LoginType } from '../interface/login.interface';

@Controller('/')
export class HomeController {
  @Get('/')
  async home(): Promise<string> {
    return 'Hello Midwayjs!';
  }
  @Inject()
  utilService: UtilService;
  @Post('/util')
  async util(@Body() body: any) {
    const res = await this.utilService.checkAccountIsSame('test', LoginType.ADMIN);
    return res;
  }
}
