import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
import File from 'free-midway-component/dist/entity/fileType';
@modelOptions({
  schemaOptions: { collection: 'config' },
})
export class Config extends BaseModel {
  @prop({ required: false, index: false, zh: 'logo', remark: 'File类型' })
  logo_url: File;
  @prop({ required: false, index: false, zh: '群组logo', remark: 'File类型' })
  group_url: File;
  @prop({ required: false, index: false, zh: '好友logo', remark: 'File类型' })
  friend_url: File;
  @prop({
    required: false,
    index: false,
    zh: '用户默认头像',
    remark: 'File类型',
  })
  user_url: File;
  @prop({ required: false, index: false, zh: '用户协议和隐私协议' })
  agreement: string;
  @prop({ required: false, index: false, zh: '底部文字' })
  bottom_title: string;
}
