import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Adv } from '../entity/adv.entity';
type modelType = ReturnModelType<typeof Adv>;
@Provide()
export class AdvService extends BaseService<modelType> {
  @InjectEntityModel(Adv)
  model: modelType;
}
